module add(input [31:0] a,
		input [31:0] b,
		output [31:0] sum
		);
assign sum = a + b;
endmodule

module testharness();
reg [31:0] a;
reg [31:0] b;
wire [31:0] sum;
reg clock; // Make clock toggle every 10ns (20ns clock period) initial begin
	clock = 0;
	forever begin
	  #10ns clock= ~clock;
	end
end

//DUT (Device Under Test)
add add_0( .a ( a ), .b ( b ), .sum ( sum ) );
// Test program
initial begin

a=0; b=0; @(posedge clock);
$display( "a (%2d) + b (%2d) = sum (%2d)", a, b, sum );

a=1; b=2; @(posedge clock);
$display( "a (%2d) + b (%2d) = sum (%2d)", a, b, sum );

a=3; b=4; @(posedge clock);
$display( "a (%2d) + b (%2d) = sum (%2d)", a, b, sum );

$finish;
end
endmodule 
